package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"versionnumber", "type", "reusable", "objectversion", "name", "description", "group", "sourcefield", "transformfield", "tableattribute", "initprop", "metadataextension", "transformfieldattrdef", "fielddependency", "flatfile", "exprmacrodependency"}
)
@XmlRootElement(
   name = "TRANSFORMATION"
)
public class TRANSFORMATION {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlAttribute(
      name = "TYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String type;
   @XmlAttribute(
      name = "OBJECTVERSION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String objectversion;
   @XmlAttribute(
      name = "REUSABLE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String reusable;
   @XmlAttribute(
      name = "ISVSAM_NORMALIZER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String isvsamnormalizer;
   @XmlAttribute(
      name = "REF_SOURCE_NAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String refsourcename;
   @XmlAttribute(
      name = "REF_DBD_NAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String refdbdname;
   @XmlAttribute(
      name = "TEMPLATEID"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String templateid;
   @XmlAttribute(
      name = "TEMPLATENAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String templatename;
   @XmlAttribute(
      name = "PARENT"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String parent;
   @XmlAttribute(
      name = "PARENT_TYPE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String parenttype;
   @XmlAttribute(
      name = "VERSIONNUMBER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String versionnumber;
   @XmlAttribute(
      name = "COMPONENTVERSION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String componentversion;
   @XmlAttribute(
      name = "CRCVALUE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String crcvalue;
   @XmlElement(
      name = "GROUP"
   )
   protected List<GROUP> group;
   @XmlElement(
      name = "SOURCEFIELD"
   )
   protected List<SOURCEFIELD> sourcefield;
   @XmlElement(
      name = "TRANSFORMFIELD"
   )
   protected List<TRANSFORMFIELD> transformfield;
   @XmlElement(
      name = "TABLEATTRIBUTE"
   )
   protected List<TABLEATTRIBUTE> tableattribute;
   @XmlElement(
      name = "INITPROP"
   )
   protected List<INITPROP> initprop;
   @XmlElement(
      name = "METADATAEXTENSION"
   )
   protected List<METADATAEXTENSION> metadataextension;
   @XmlElement(
      name = "TRANSFORMFIELDATTRDEF"
   )
   protected List<TRANSFORMFIELDATTRDEF> transformfieldattrdef;
   @XmlElement(
      name = "FIELDDEPENDENCY"
   )
   protected List<FIELDDEPENDENCY> fielddependency;
   @XmlElement(
      name = "FLATFILE"
   )
   protected FLATFILE flatfile;
   @XmlElement(
      name = "EXPRMACRODEPENDENCY"
   )
   protected List<EXPRMACRODEPENDENCY> exprmacrodependency;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public String getTYPE() {
      return this.type;
   }

   public void setTYPE(String value) {
      this.type = value;
   }

   public String getOBJECTVERSION() {
      return this.objectversion;
   }

   public void setOBJECTVERSION(String value) {
      this.objectversion = value;
   }

   public String getREUSABLE() {
      return this.reusable;
   }

   public void setREUSABLE(String value) {
      this.reusable = value;
   }

   public String getISVSAMNORMALIZER() {
      return this.isvsamnormalizer;
   }

   public void setISVSAMNORMALIZER(String value) {
      this.isvsamnormalizer = value;
   }

   public String getREFSOURCENAME() {
      return this.refsourcename;
   }

   public void setREFSOURCENAME(String value) {
      this.refsourcename = value;
   }

   public String getREFDBDNAME() {
      return this.refdbdname;
   }

   public void setREFDBDNAME(String value) {
      this.refdbdname = value;
   }

   public String getTEMPLATEID() {
      return this.templateid;
   }

   public void setTEMPLATEID(String value) {
      this.templateid = value;
   }

   public String getTEMPLATENAME() {
      return this.templatename;
   }

   public void setTEMPLATENAME(String value) {
      this.templatename = value;
   }

   public String getPARENT() {
      return this.parent;
   }

   public void setPARENT(String value) {
      this.parent = value;
   }

   public String getPARENTTYPE() {
      return this.parenttype;
   }

   public void setPARENTTYPE(String value) {
      this.parenttype = value;
   }

   public String getVERSIONNUMBER() {
      return this.versionnumber;
   }

   public void setVERSIONNUMBER(String value) {
      this.versionnumber = value;
   }

   public String getCOMPONENTVERSION() {
      return this.componentversion;
   }

   public void setCOMPONENTVERSION(String value) {
      this.componentversion = value;
   }

   public String getCRCVALUE() {
      return this.crcvalue;
   }

   public void setCRCVALUE(String value) {
      this.crcvalue = value;
   }

   public List<GROUP> getGROUP() {
      if (this.group == null) {
         this.group = new ArrayList();
      }

      return this.group;
   }

   public List<SOURCEFIELD> getSOURCEFIELD() {
      if (this.sourcefield == null) {
         this.sourcefield = new ArrayList();
      }

      return this.sourcefield;
   }

   public List<TRANSFORMFIELD> getTRANSFORMFIELD() {
      if (this.transformfield == null) {
         this.transformfield = new ArrayList();
      }

      return this.transformfield;
   }

   public List<TABLEATTRIBUTE> getTABLEATTRIBUTE() {
      if (this.tableattribute == null) {
         this.tableattribute = new ArrayList();
      }

      return this.tableattribute;
   }

   public List<INITPROP> getINITPROP() {
      if (this.initprop == null) {
         this.initprop = new ArrayList();
      }

      return this.initprop;
   }

   public List<METADATAEXTENSION> getMETADATAEXTENSION() {
      if (this.metadataextension == null) {
         this.metadataextension = new ArrayList();
      }

      return this.metadataextension;
   }

   public List<TRANSFORMFIELDATTRDEF> getTRANSFORMFIELDATTRDEF() {
      if (this.transformfieldattrdef == null) {
         this.transformfieldattrdef = new ArrayList();
      }

      return this.transformfieldattrdef;
   }

   public List<FIELDDEPENDENCY> getFIELDDEPENDENCY() {
      if (this.fielddependency == null) {
         this.fielddependency = new ArrayList();
      }

      return this.fielddependency;
   }

   public FLATFILE getFLATFILE() {
      return this.flatfile;
   }

   public void setFLATFILE(FLATFILE value) {
      this.flatfile = value;
   }

   public List<EXPRMACRODEPENDENCY> getEXPRMACRODEPENDENCY() {
      if (this.exprmacrodependency == null) {
         this.exprmacrodependency = new ArrayList();
      }

      return this.exprmacrodependency;
   }
}
